Datastores Ordered (v1)
OpenCloud v1 reference for Datastores Ordered.
Base URL: https://apis.roblox.com/ordered-data-stores
Endpoints
Section titled “Endpoints”| Method | Path | Name |
|---|---|---|
GET | /v1/universes/:universeId/orderedDataStores/:orderedDataStore/scopes/:scope/entries | getUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntries (deprecated) |
POST | /v1/universes/:universeId/orderedDataStores/:orderedDataStore/scopes/:scope/entries | postUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntries (deprecated) |
GET | /v1/universes/:universeId/orderedDataStores/:orderedDataStore/scopes/:scope/entries/:entry | getUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntriesEntry (deprecated) |
DELETE | /v1/universes/:universeId/orderedDataStores/:orderedDataStore/scopes/:scope/entries/:entry | deleteUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntriesEntry (deprecated) |
PATCH | /v1/universes/:universeId/orderedDataStores/:orderedDataStore/scopes/:scope/entries/:entry | patchUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntriesEntry (deprecated) |
POST | /v1/universes/:universeId/orderedDataStores/:orderedDataStore/scopes/:scope/entries/:entry:increment | postUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntriesEntryIncrement (deprecated) |
getUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntries deprecated
Section titled “getUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntries deprecated”GET /v1/universes/:universeId/orderedDataStores/:orderedDataStore/scopes/:scope/entries
Returns a list of entries from an ordered data store.
See:
GET https://apis.roblox.com/cloud/v2/universes/{universe_id}/ordered-data-stores/{ordered_data_store_id}/scopes/{scope_id}/entries
Scopes: universe.ordered-data-store.scope.entry:read
Usage
import { fetchApi } from 'rozod';import { getUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntries } from 'rozod/lib/opencloud/v1/datastores-ordered';
const data = await fetchApi(getUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntries, { universeId: /* string */, orderedDataStore: /* string */, scope: /* string */, max_page_size: /* integer? */, page_token: /* string? */, order_by: /* string? */, filter: /* string? */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId | string | Yes | The identifier of the experience with ordered data stores that you want to access. You can find your experience’s universe ID on Creator Hub. |
orderedDataStore | string | Yes | The name of the target ordered data store. |
scope | string | Yes | The name of the data store scope. See Scopes. |
max_page_size | integer? | No | The maximum number of entries to return. The service may return fewer than this value. The default value is 10. The maximum value is 100, and any input above 100 is coerced to 100. |
page_token | string? | No | A page token received from a previous List call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to List must match the call providing the page token. |
order_by | string? | No | The enumeration direction. The order by default is ascending. Input a desc suffix for descending. |
filter | string? | No | The range of qualifying values of entries to return. See Filters. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
entries | object[] | See below |
nextPageToken | string |
entries[] item fields:
| Field | Type | Description |
|---|---|---|
path | string | |
id | string | |
value | number |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | Bad Request: invalid orderedDataStore, scope or entry name or encoding. |
| 403 | Forbidden: studio access to APIs is not allowed, incorrect API key or scope. |
| 429 | Too Many Requests. |
postUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntries deprecated
Section titled “postUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntries deprecated”POST /v1/universes/:universeId/orderedDataStores/:orderedDataStore/scopes/:scope/entries
Creates a new entry with the content value provided.
See:
POST https://apis.roblox.com/cloud/v2/universes/{universe_id}/ordered-data-stores/{ordered_data_store_id}/scopes/{scope_id}/entries
Scopes: universe.ordered-data-store.scope.entry:write
Usage
import { fetchApi } from 'rozod';import { postUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntries } from 'rozod/lib/opencloud/v1/datastores-ordered';
const data = await fetchApi(postUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntries, { universeId: /* string */, orderedDataStore: /* string */, scope: /* string */, id: /* string */, body: { /* ... */ }});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId | string | Yes | The identifier of the experience with ordered data stores that you want to access. You can find your experience’s universe ID on Creator Hub. |
orderedDataStore | string | Yes | The name of the ordered data store. |
scope | string | Yes | The name of the data store scope. See Scopes. |
id | string | Yes | The name of the entry. |
Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
value | number |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
path | string | |
id | string | |
value | number |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | Bad Request: invalid orderedDataStore, scope or entry name or encoding. |
| 403 | Forbidden: studio access to APIs is not allowed, incorrect API key or scope. |
| 404 | Not found. |
| 429 | Too Many Requests. |
getUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntriesEntry deprecated
Section titled “getUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntriesEntry deprecated”GET /v1/universes/:universeId/orderedDataStores/:orderedDataStore/scopes/:scope/entries/:entry
Gets and returns the specified entry.
See:
GET https://apis.roblox.com/cloud/v2/universes/{universe_id}/ordered-data-stores/{ordered_data_store_id}/scopes/{scope_id}/entries/{entry_id}
Scopes: universe.ordered-data-store.scope.entry:read
Usage
import { fetchApi } from 'rozod';import { getUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntriesEntry } from 'rozod/lib/opencloud/v1/datastores-ordered';
const data = await fetchApi(getUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntriesEntry, { universeId: /* string */, orderedDataStore: /* string */, scope: /* string */, entry: /* string */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId | string | Yes | The identifier of the experience with ordered data stores that you want to access. You can find your experience’s universe ID on Creator Hub. |
orderedDataStore | string | Yes | The name of the ordered data store. |
scope | string | Yes | The name of the data store scope. See Scopes. |
entry | string | Yes | The entry ID. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
path | string | |
id | string | |
value | number |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | Bad Request: invalid orderedDataStore, scope or entry name or encoding. |
| 403 | Forbidden: studio access to APIs is not allowed, incorrect API key or scope. |
| 404 | Not found. |
| 429 | Too Many Requests. |
deleteUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntriesEntry deprecated
Section titled “deleteUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntriesEntry deprecated”DELETE /v1/universes/:universeId/orderedDataStores/:orderedDataStore/scopes/:scope/entries/:entry
Deletes the specified entry. Unlike standard data stores, which mark entries for deletion, ordered data store entries are deleted immediately.
See:
DELETE https://apis.roblox.com/cloud/v2/universes/{universe_id}/ordered-data-stores/{ordered_data_store_id}/scopes/{scope_id}/entries/{entry_id}
Scopes: universe.ordered-data-store.scope.entry:write
Usage
import { fetchApi } from 'rozod';import { deleteUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntriesEntry } from 'rozod/lib/opencloud/v1/datastores-ordered';
const data = await fetchApi(deleteUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntriesEntry, { universeId: /* string */, orderedDataStore: /* string */, scope: /* string */, entry: /* string */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId | string | Yes | The identifier of the experience with ordered data stores that you want to access. You can find your experience’s universe ID on Creator Hub. |
orderedDataStore | string | Yes | The name of the ordered data store. |
scope | string | Yes | The name of the data store scope. See Scopes. |
entry | string | Yes | The entry ID. |
Response
Section titled “Response”Type: unknown
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | Bad Request: invalid orderedDataStore, scope or entry name or encoding. |
| 403 | Forbidden: Studio access to APIs is not allowed, incorrect API key or scope. |
| 404 | Not found. |
| 429 | Too Many Requests. |
patchUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntriesEntry deprecated
Section titled “patchUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntriesEntry deprecated”PATCH /v1/universes/:universeId/orderedDataStores/:orderedDataStore/scopes/:scope/entries/:entry
Updates an entry value and returns the updated entry.
See:
PATCH https://apis.roblox.com/cloud/v2/universes/{universe_id}/ordered-data-stores/{ordered_data_store_id}/scopes/{scope_id}/entries/{entry_id}
Scopes: universe.ordered-data-store.scope.entry:write
Usage
import { fetchApi } from 'rozod';import { patchUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntriesEntry } from 'rozod/lib/opencloud/v1/datastores-ordered';
const data = await fetchApi(patchUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntriesEntry, { universeId: /* string */, orderedDataStore: /* string */, scope: /* string */, entry: /* string */, allow_missing: /* boolean? */, body: { /* ... */ }});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId | string | Yes | The identifier of the experience with ordered data stores that you want to access. You can find your experience’s universe ID on Creator Hub. |
orderedDataStore | string | Yes | The name of the ordered data store. |
scope | string | Yes | The name of the data store scope. See Scopes. |
entry | string | Yes | The entry ID. |
allow_missing | boolean? | No | The flag to allow the creation of an entry if the entry doesn’t exist. See Allow missing flags. |
Request Body
Section titled “Request Body”All fields are optional (PATCH partial update)
| Field | Type | Description |
|---|---|---|
value | number |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
path | string | |
id | string | |
value | number |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | Bad Request: invalid orderedDataStore, scope or entry name or encoding. |
| 403 | Forbidden: studio access to APIs is not allowed, incorrect API key or scope. |
| 404 | Not found. |
| 409 | Aborted. |
| 429 | Too Many Requests. |
postUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntriesEntryIncrement deprecated
Section titled “postUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntriesEntryIncrement deprecated”POST /v1/universes/:universeId/orderedDataStores/:orderedDataStore/scopes/:scope/entries/:entry:increment
Increments the value of the key by the provided amount and returns the updated entry. Known issue: Entry values can increment past the valid range and this may persist in the backend. Returned values will clamp to the valid range.
See:
POST https://apis.roblox.com/cloud/v2/universes/{universe_id}/ordered-data-stores/{ordered_data_store_id}/scopes/{scope_id}/entries/{entry_id}:increment
Scopes: universe.ordered-data-store.scope.entry:write
Usage
import { fetchApi } from 'rozod';import { postUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntriesEntryIncrement } from 'rozod/lib/opencloud/v1/datastores-ordered';
const data = await fetchApi(postUniversesUniverseIdOrderedDataStoresOrderedDataStoreScopesScopeEntriesEntryIncrement, { universeId: /* string */, orderedDataStore: /* string */, scope: /* string */, entry: /* string */, body: { /* ... */ }});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId | string | Yes | The identifier of the experience with ordered data stores that you want to access. You can find your experience’s universe ID on Creator Hub. |
orderedDataStore | string | Yes | The name of the ordered data store. |
scope | string | Yes | The name of the data store scope. See Scopes. |
entry | string | Yes | The entry ID. |
Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
amount | number |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
path | string | |
id | string | |
value | number |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | Bad Request: invalid orderedDataStore, scope or entry name or encoding. |
| 403 | Forbidden: studio access to APIs is not allowed, incorrect API key or scope. |
| 404 | Not found. |
| 429 | Too Many Requests. |